Retrieve Account / IBAN
curl --request POST \
--url https://flickopenapi.co/merchant/retrieve-iban \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payerId": "4a2860-9087-049e"
}
'import requests
url = "https://flickopenapi.co/merchant/retrieve-iban"
payload = { "payerId": "4a2860-9087-049e" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({payerId: '4a2860-9087-049e'})
};
fetch('https://flickopenapi.co/merchant/retrieve-iban', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/merchant/retrieve-iban",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'payerId' => '4a2860-9087-049e'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/merchant/retrieve-iban"
payload := strings.NewReader("{\n \"payerId\": \"4a2860-9087-049e\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/merchant/retrieve-iban")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"payerId\": \"4a2860-9087-049e\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/merchant/retrieve-iban")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payerId\": \"4a2860-9087-049e\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "Iban fetched successfully",
"data": {
"payerId": "1818-0046-47b1-9c8e-ed9afe3",
"sortCode": "459087-",
"accountNumber": "",
"iban": "2345678987654HJKL"
}
}Virtual Account/IBANs
Retrieve Account / IBAN
Getting your iban details with Flick
POST
/
merchant
/
retrieve-iban
Retrieve Account / IBAN
curl --request POST \
--url https://flickopenapi.co/merchant/retrieve-iban \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payerId": "4a2860-9087-049e"
}
'import requests
url = "https://flickopenapi.co/merchant/retrieve-iban"
payload = { "payerId": "4a2860-9087-049e" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({payerId: '4a2860-9087-049e'})
};
fetch('https://flickopenapi.co/merchant/retrieve-iban', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/merchant/retrieve-iban",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'payerId' => '4a2860-9087-049e'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/merchant/retrieve-iban"
payload := strings.NewReader("{\n \"payerId\": \"4a2860-9087-049e\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/merchant/retrieve-iban")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"payerId\": \"4a2860-9087-049e\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/merchant/retrieve-iban")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payerId\": \"4a2860-9087-049e\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "Iban fetched successfully",
"data": {
"payerId": "1818-0046-47b1-9c8e-ed9afe3",
"sortCode": "459087-",
"accountNumber": "",
"iban": "2345678987654HJKL"
}
}Authorizations
Your live or test secret key, prefixed sk-. Send as Authorization: Bearer sk-....
Body
application/json
retrieve iban Payment
Example:
"4a2860-9087-049e"